//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Type/NamedItem.h
//! @brief     Defines and implements class NamedItem.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_TYPE_NAMEDITEM_H
#define BORNAGAIN_GUI_MODEL_TYPE_NAMEDITEM_H

#include <QString>

//! Base class of items that have a name and a description.

class NamedItem {
public:
    virtual ~NamedItem() = default;

    void setName(const QString& name) { m_name = name; }
    QString name() const { return m_name; }

    QString description() const { return m_description; }
    void setDescription(const QString& description) { m_description = description; }

private:
    QString m_name;
    QString m_description;
};

#endif // BORNAGAIN_GUI_MODEL_TYPE_NAMEDITEM_H
